### Method

# Dex Promise resolve_fd

#### Declaration [src]

    void
    dex_promise_resolve_fd (
      DexPromise* promise,
      int fd
    )

#### Description [src]

Resolves the promise to `fd`.

The file-descriptor may be dup()’d by this function and `fd` closed immediately.

Use `dex_await_fd()` or similar to retrieve the resolved FD.

#### Parameters

`fd`

  Type: `int`

  A file-descriptor for the resolve to resolve to.